Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cryptix.openpgp
Class PGPSignedMessage

    java.lang.Object
      cryptix.message.Message
          cryptix.message.SignedMessage
              cryptix.openpgp.PGPSignedMessage

public abstract class PGPSignedMessage
extends SignedMessage

Represents an OpenPGP signed message.

The difference between this class and the normal SignedMessage class is a PGP specific method: getDetachedSignature().

All instances of SignedMessage returned by the OpenPGP provider are also instances of this class.

Version:
  $Revision: 1.3 $
Author:
  Edwin Woudt

Field Summary
`protected boolean` | `legacy`

Constructor Summary
`protected` | `PGPSignedMessage(java.lang.String format, boolean legacy)` Creates a SignedMessage object.

Method Summary
`abstract PGPDetachedSignatureMessage` | `getDetachedSignature()` Returns a detached signature.

Methods inherited from class cryptix.message.SignedMessage
`getContents, getKeyIDHints, verify, verify`

Methods inherited from class cryptix.message.Message
`equals, getAttribute, getEncoded, getFormat, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### legacy

    protected boolean legacy

Constructor Detail

### PGPSignedMessage

    protected PGPSignedMessage(java.lang.String format,
                               boolean legacy)

  Creates a SignedMessage object.

Method Detail

### getDetachedSignature

    public abstract PGPDetachedSignatureMessage getDetachedSignature()
                                                              throws MessageException

  Returns a detached signature.

  Throws:
    `MessageException` - on a variety of format specific problems.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1999-2003 The Cryptix Foundation Ltd.